Index: trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro	(revision 163)
+++ trunk/SRC/ToBeReviewed/LECTURE/xncdf_lec.pro	(revision 231)
@@ -1,21 +1,18 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
 ; @file_comments
-; Reading of a Net Cdf file with widgets ! 
-;
-; @categories 
+; Reading of a Net Cdf file with widgets !
+;
+; @categories
 ; Widget
 ;
-; @param NAME {in}{optional}{type=string} 
-; It give the name of the file to be opened. If NAME 
-; does not contain the separating character of directories ('/' under 
+; @param NAME {in}{optional}{type=string}
+; It give the name of the file to be opened. If NAME
+; does not contain the separating character of directories ('/' under
 ; unix for example), the file will be looked for in the current directory.
 ;
 ; @keyword IODIR {type=string}
 ; It contains the directory where to go look for the file to be read.
-; If NAME does not contain the separating character of directories ('/' under 
+; If NAME does not contain the separating character of directories ('/' under
 ; unix for example), the file will be called iodir+nom_fichier.
 ;
@@ -29,5 +26,5 @@
 ; The widget ID of the widget that calls XNCDF_LEC. When
 ; this ID is specified, a death of the caller results in a death
-; of XNCDF_LEC. 
+; of XNCDF_LEC.
 ;
 ; @keyword OFFSET {type=vector}{default=[0, 0,...]}
@@ -36,8 +33,8 @@
 ;
 ; @keyword SHIFT {type=vector}{default=[0, 0,...]}
-; A vector of integers, specifying for each dimension how much we have to shift it. 
-; By default, it is [0,0,...]. See the function shift for more explanations. BEWARE, 
-; the shift is done on the biggest array before a possible reduction determined 
-; by OFFSET and COUNT. On the other hand, it is done after the possible extraction 
+; A vector of integers, specifying for each dimension how much we have to shift it.
+; By default, it is [0,0,...]. See the function shift for more explanations. BEWARE,
+; the shift is done on the biggest array before a possible reduction determined
+; by OFFSET and COUNT. On the other hand, it is done after the possible extraction
 ; created by the STRIDE.
 ;
@@ -51,6 +48,6 @@
 ;       1) None attribute has been selected. In this case, res is the array we
 ;       wanted to read.
-;       2) Some attributes has been selected. In this case, res is a structure 
-;       whose the first element having the name of the variable is the values 
+;       2) Some attributes has been selected. In this case, res is a structure
+;       whose the first element having the name of the variable is the values
 ;       array and the other arguments are the select arguments.
 ;
@@ -68,7 +65,5 @@
 ; $Id$
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 FUNCTION xncdf_lec, name, ATT = att, COUNT = count, GROUP = group, OFFSET = offset, IODIR = iodir, SHIFT = shift,  STRIDE = stride, VAR = var
 ;
@@ -103,7 +98,7 @@
    mciodir = iodir
 ; We complete IODIR with a separating character if needed.
-   IF rstrpos(iodir, sep) NE strlen(iodir)-1 THEN iodir = iodir+sep 
+   IF rstrpos(iodir, sep) NE strlen(iodir)-1 THEN iodir = iodir+sep
    if n_elements(name) EQ 0 then BEGIN ; If NAME is not defined, we find one thanks to the program dialog_pickfile.
-      name = dialog_pickfile(filter = iodir+'*.nc') 
+      name = dialog_pickfile(filter = iodir+'*.nc')
       if name[0] EQ '' then return,  -1 ;If we do not have find anything, we go out.
 ;We complete NAME by IODIR if NAME does not contain any directory separating character.
@@ -132,5 +127,5 @@
 ;------------------------------------------------------------
    base1 = widget_base(base, /column, /align_center)
-   rien = widget_label(base1, value = 'Net Cdf filename', /align_center) 
+   rien = widget_label(base1, value = 'Net Cdf filename', /align_center)
    rien = widget_text(base1, value = name, /align_center, uvalue=1, /editable) ;File's name we can change
    rien = widget_label(base1, value = ' ') ; We jump a line
@@ -207,7 +202,8 @@
 ;
 ;+
+;
 ; @file_comments
 ; Procedure called by xmanager when we press on a button of a second widget created by wid_var.
-; 
+;
 ; @param EVENT {in}{required}
 ; A structure caracterizing the type of event which arrive to a widget number1 2
@@ -215,12 +211,10 @@
 ; @uses
 ; wididbase,resultat,infovariable,indicewid,motcle
-; 
+;
 ; @version
 ; $Id$
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-pro wid_var_event,  event
+;
+PRO wid_var_event,  event
 ;
   compile_opt idl2, strictarrsubs
@@ -246,5 +240,5 @@
          if event.y GT (size(table))[2] then return
          if size(table[event.x, event.y], /type) GE 6 $
-          OR size(table[event.x, event.y], /type) EQ 0 then BEGIN 
+          OR size(table[event.x, event.y], /type) EQ 0 then BEGIN
             if event.x EQ 1 then $
              widget_control, widbase1, use_table_select = [1, event.y,1, event.y] $
@@ -347,5 +341,5 @@
 ; We redefine the command allowing to cut dimensions which has not been cut yet (ones we shift).
             commande = 'res=res[' ; initialization of the command
-            for dim = 0, varcontient.ndims-1 do BEGIN 
+            for dim = 0, varcontient.ndims-1 do BEGIN
                if mcshift[dim] EQ 0 then commande = commande+'*,' $
                ELSE commande=commande+string(mcoffset[dim])+':'+string(mccount[dim]+mcoffset[dim]-1)+','
@@ -380,19 +374,18 @@
    return
 end
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 ;+
+;
 ; @file_comments
-; This procedure manage the second created whiget when we call xncdf_lec. 
+; This procedure manage the second created whiget when we call xncdf_lec.
 ; This widget concern the reading of the variable.
 ;
 ; @param WIDID_PERE {type=scalar}{in}{required}
-; It contains the identity of the father widget which was 
+; It contains the identity of the father widget which was
 ; created by xncdf_lec and which has allowed to select the variable to be read.
 ;
 ; OUTPUTS: indirectement res (le tableau ou la structure resultat)
 ;
-; @uses 
+; @uses
 ; resultat,infovariable,indicewid_var,motcle
 ;
@@ -400,7 +393,5 @@
 ; $Id$
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 PRO wid_var, widid_pere
 ;
@@ -416,5 +407,5 @@
    widbase = widget_base(/column, title='variable: '+varcontient.name, /align_center, group_leader = widid_pere)
 ;------------------------------------------------------------
-; Opening of the base subwindow 
+; Opening of the base subwindow
 ;------------------------------------------------------------
 ; widbase1 array of offsets
@@ -457,6 +448,6 @@
    rien = widget_label(widbase, value = ' ') ; We jump a line
    widbase2 = widget_base(widbase, /column)
-; To each attribute, we created a widget (widbase21) containing in line a button 
-; yes/no (widbase211), and two wigdet text (widbase212, widbase213) comprising the 
+; To each attribute, we created a widget (widbase21) containing in line a button
+; yes/no (widbase211), and two wigdet text (widbase212, widbase213) comprising the
 ; name and the value of the attribute.
    widbase21 = lonarr(varcontient.natts)
@@ -492,14 +483,11 @@
    return
 end
-;------------------------------------------------------------
-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 ;+
+;
 ; @file_comments
-; Procedure called by xmanager when we press a button of the first widget 
+; Procedure called by xmanager when we press a button of the first widget
 ; created by par xncdf_lec
-; 
+;
 ; @param EVENT
 ; A structure caracterising the event type which arrive at the widget number 1.
@@ -511,7 +499,5 @@
 ; $Id$
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 PRO xncdf_lec_event, event
 ;
@@ -531,5 +517,5 @@
 ;We call back xncdf_lec
          res = xncdf_lec(nom[0], ATT = mcatt, COUNT = mccount, OFFSET = mcoffset, IODIR = mciodir $
-                         , SHIFT = mcshift,  STRIDE = mcstride, VAR = mcvar) 
+                         , SHIFT = mcshift,  STRIDE = mcstride, VAR = mcvar)
          return
       END
